Skip to main content
`Ctrl`+`K`

# DMNetworkVertexSetMatrix

Sets user-provided Jacobian matrix for this vertex to the network

## Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkVertexSetMatrix(DM dm, PetscInt p, Mat J[])

Not Collective

## Input Parameters

- dm - The `DMNETWORK` object

- p - the vertex point

- J - array of Jacobian (size = 2*(num of supporting edges) + 1) submatrices for this vertex point: J[0]: this vertex J[1+2i]: i-th supporting edge J[1+2i+1]: i-th connected vertex

## See Also

`DM`, `DMNETWORK`, `DMNetworkEdgeSetMatrix()`

## Level

advanced

## Location

src/dm/impls/network/network.c

Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages